[build-status: 90887] Log for successful build of xprint-utils_7.1-1 (dist=unstable)
Build Daemon 3
buildd3 at linux-m32r.org
Wed Sep 19 00:55:11 JST 2007
Automatic build of xprint-utils_7.1-1 on mappi006 by sbuild/m32r 0.53
Build started at 20070919-0021
******************************************************************************
Checking available source versions...
Fetching source files...
Reading package lists...
Building dependency tree...
Reading state information...
Need to get 801kB of source archives.
Get:1 http://debian.linux-m32r.org 06_devonian/main xprint-utils 7.1-1 (dsc) [769B]
Get:2 http://debian.linux-m32r.org 06_devonian/main xprint-utils 7.1-1 (tar) [422kB]
Get:3 http://debian.linux-m32r.org 06_devonian/main xprint-utils 7.1-1 (diff) [378kB]
Fetched 801kB in 8s (97.0kB/s)
Download complete and in download only mode
** Using build dependencies supplied by package:
Build-Depends: debhelper (>= 5), quilt, pkg-config, lesstif2-dev, libxaw7-dev, libx11-dev, libxp-dev, libxt-dev, libxmuu-dev, libxprintutil-dev, libxprintapputil-dev
Checking for already installed source dependencies...
debhelper: already installed (5.0.54 >= 5 is satisfied)
quilt: already installed (0.46-4)
pkg-config: already installed (0.22-1)
lesstif2-dev: already installed (1:0.95.0-2)
libxaw7-dev: already installed (2:1.0.4-1)
libx11-dev: already installed (2:1.0.3-7)
libxp-dev: already installed (1:1.0.0.xsf1-1)
libxt-dev: already installed (1:1.0.5-3)
libxmuu-dev: already installed (1:1.0.3-1)
libxprintutil-dev: missing
libxprintapputil-dev: missing
Checking for source dependency conflicts...
Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libxprintapputil1 libxprintutil1
The following NEW packages will be installed:
libxprintapputil-dev libxprintapputil1 libxprintutil-dev libxprintutil1
E: Could not get lock /debian/buildd3/build/chroot-unstable/var/cache/apt/archives/lock - open (11 Resource temporarily unavailable)
E: Unable to lock the download directory
0 upgraded, 4 newly installed, 0 to remove and 46 not upgraded.
Another apt-get or dpkg is running -- retrying later
Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libxprintapputil1 libxprintutil1
The following NEW packages will be installed:
libxprintapputil-dev libxprintapputil1 libxprintutil-dev libxprintutil1
E: Could not get lock /debian/buildd3/build/chroot-unstable/var/cache/apt/archives/lock - open (11 Resource temporarily unavailable)
E: Unable to lock the download directory
0 upgraded, 4 newly installed, 0 to remove and 46 not upgraded.
Another apt-get or dpkg is running -- retrying later
Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libxprintapputil1 libxprintutil1
The following NEW packages will be installed:
libxprintapputil-dev libxprintapputil1 libxprintutil-dev libxprintutil1
0 upgraded, 4 newly installed, 0 to remove and 46 not upgraded.
Need to get 15.4kB/51.7kB of archives.
After unpacking 324kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
libxprintutil1 libxprintapputil1 libxprintapputil-dev libxprintutil-dev
Authentication warning overridden.
Get:1 http://debian.linux-m32r.org 06_devonian/main libxprintapputil1 1:1.0.1.xsf1-2 [7548B]
Get:2 http://debian.linux-m32r.org 06_devonian/main libxprintapputil-dev 1:1.0.1.xsf1-2 [7892B]
Fetched 15.4kB in 0s (19.4kB/s)
Selecting previously deselected package libxprintutil1.
(Reading database ... 60489 files and directories currently installed.)
Unpacking libxprintutil1 (from .../libxprintutil1_1%3a1.0.1.xsf1-2_m32r.deb) ...
Selecting previously deselected package libxprintapputil1.
Unpacking libxprintapputil1 (from .../libxprintapputil1_1%3a1.0.1.xsf1-2_m32r.deb) ...
Selecting previously deselected package libxprintapputil-dev.
Unpacking libxprintapputil-dev (from .../libxprintapputil-dev_1%3a1.0.1.xsf1-2_m32r.deb) ...
Selecting previously deselected package libxprintutil-dev.
Unpacking libxprintutil-dev (from .../libxprintutil-dev_1%3a1.0.1.xsf1-2_m32r.deb) ...
Setting up libxprintutil1 (1:1.0.1.xsf1-2) ...
Setting up libxprintapputil1 (1:1.0.1.xsf1-2) ...
Setting up libxprintapputil-dev (1:1.0.1.xsf1-2) ...
Setting up libxprintutil-dev (1:1.0.1.xsf1-2) ...
Checking correctness of source dependencies...
Kernel: Linux 2.6.20 m32r (m32r)
Toolchain package versions: libc6-dev_2.3.6.ds1-13 linux-kernel-headers_2.6.18-7.0.2 gcc-4.1_4.1.1-21 g++-4.1_4.1.1-21 binutils_2.17-3 libstdc++6-4.1-dev_4.1.1-21 libstdc++6_4.1.1-21
------------------------------------------------------------------------------
gpg: Signature made Fri Sep 1 23:58:18 2006 JST using DSA key ID 64124E4A
gpg: Can't check signature: public key not found
dpkg-source: extracting xprint-utils in xprint-utils-7.1
dpkg-source: unpacking xprint-utils_7.1.orig.tar.gz
dpkg-source: applying /debian/buildd3/build/xprint-utils_7.1-1.diff.gz
dpkg-buildpackage: source package is xprint-utils
dpkg-buildpackage: source version is 7.1-1
dpkg-buildpackage: source changed by Drew Parsons <dparsons at debian.org>
dpkg-buildpackage: host architecture m32r
dpkg-buildpackage: source version without epoch 7.1-1
/usr/bin/fakeroot debian/rules clean
rm -f stampdir/genscripts
rm -f debian/*.config \
debian/*.postinst \
debian/*.postrm \
debian/*.preinst \
debian/*.prerm
rm -f stampdir/patch
Unapplying patches...nothing to do.
dh_testdir
rm -f .pc patches
rm -rf stampdir build-tree
rm -rf imports
dh_clean debian/shlibs.local \
debian/MANIFEST.m32r debian/MANIFEST.m32r.new \
debian/po/pothead
dh_testdir
dh_testroot
rm -f build-stamp
rm -f config.cache config.log config.status
rm -f */config.cache */config.log */config.status
rm -f conftest* */conftest*
rm -rf autom4te.cache */autom4te.cache
rm -rf *-obj-*
dh_clean
debian/rules build
mkdir stampdir
>stampdir/stampdir
for FILE in debian/*.config.in \
debian/*.postinst.in \
debian/*.postrm.in \
debian/*.preinst.in \
debian/*.prerm.in; do \
if [ -e "$FILE" ]; then \
MAINTSCRIPT=$(echo $FILE | sed 's/.in$//'); \
sed -n '1,/^#INCLUDE_SHELL_LIB#$/p' <$FILE \
| sed -e '/^#INCLUDE_SHELL_LIB#$/d' >$MAINTSCRIPT.tmp; \
cat debian/xsfbs/xsfbs.sh >>$MAINTSCRIPT.tmp; \
sed -n '/^#INCLUDE_SHELL_LIB#$/,$p' <$FILE \
| sed -e '/^#INCLUDE_SHELL_LIB#$/d' >>$MAINTSCRIPT.tmp; \
sed -e 's/@SOURCE_VERSION@/7.1-1/' \
-e 's/@OFFICIAL_BUILD@/yes/' \
-e 's/@DEFAULT_DCRESOLUTIONS@//' \
<$MAINTSCRIPT.tmp >$MAINTSCRIPT; \
rm $MAINTSCRIPT.tmp; \
fi; \
done
# Validate syntax of generated shell scripts.
#sh debian/scripts/validate-posix-sh debian/*.config \
# debian/*.postinst \
# debian/*.postrm \
# debian/*.preinst \
# debian/*.prerm
>stampdir/genscripts
if [ ! -e stampdir/patches ]; then \
mkdir stampdir/patches; \
ln -s stampdir/patches .pc; \
echo 2 >stampdir/patches/.version; \
fi; \
if [ ! -e stampdir/log ]; then \
mkdir stampdir/log; \
fi; \
if [ ! -e patches ]; then \
ln -s debian/patches patches; \
fi; \
>stampdir/prepare
if ! [ `which quilt` ]; then \
echo "Couldn't find quilt. Please install it or add it to the build-depends for this package."; \
exit 1; \
fi; \
if quilt next; then \
echo -n "Applying patches..."; \
if quilt push -a -v >stampdir/log/patch 2>&1; then \
echo "successful."; \
else \
echo "failed! (check stampdir/log/patch for details)"; \
exit 1; \
fi; \
else \
echo "No patches to apply"; \
fi; \
>stampdir/patch
No patches in series
No patches to apply
dh_testdir
for FILE in ""xphelloworld xplsprinters xpr xprehashprinterlist""; do \
mkdir "$FILE"-obj-m32r-linux-gnu; \
(cd "$FILE"-obj-m32r-linux-gnu && \
../"$FILE"/configure --prefix=/usr --mandir=\${prefix}/share/man \
--infodir=\${prefix}/share/info --build=m32r-linux-gnu \
--with-localealiasfile=/usr/share/X11/locale \
CFLAGS="-Wall -g -O2" && \
/usr/bin/make) || exit 1; \
done
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for X11... yes
checking for XmFontListCreate in -lXm... yes
motif library not found
build: Build Motif Applications: no
checking for XPHELLOWORLD... yes
checking for XPSIMPLEHELLOWORLD... yes
checking for XPXTHELLOWORLD... yes
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
configure: creating ./config.status
config.status: creating Makefile
config.status: creating xpawhelloworld/Makefile
config.status: creating xphelloworld/Makefile
config.status: creating xpsimplehelloworld/Makefile
config.status: creating xpxmhelloworld/Makefile
config.status: creating xpxthelloworld/Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
/usr/bin/make all-recursive
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
Making all in xphelloworld
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xphelloworld'
if gcc -DHAVE_CONFIG_H -I. -I../../xphelloworld/xphelloworld -I.. -Wall -g -O2 -MT xphelloworld-xphelloworld.o -MD -MP -MF ".deps/xphelloworld-xphelloworld.Tpo" -c -o xphelloworld-xphelloworld.o `test -f 'xphelloworld.c' || echo '../../xphelloworld/xphelloworld/'`xphelloworld.c; \
then mv -f ".deps/xphelloworld-xphelloworld.Tpo" ".deps/xphelloworld-xphelloworld.Po"; else rm -f ".deps/xphelloworld-xphelloworld.Tpo"; exit 1; fi
gcc -Wall -g -O2 -o xphelloworld xphelloworld-xphelloworld.o -lXprintAppUtil -lXprintUtil -lXt -lX11 -lSM -lICE -lXp -lXau
sed -e 's|__vendorversion__|"xphelloworld 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xphelloworld 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../../xphelloworld/xphelloworld/xphelloworld.man > xphelloworld.1
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xphelloworld'
Making all in xpsimplehelloworld
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpsimplehelloworld'
if gcc -DHAVE_CONFIG_H -I. -I../../xphelloworld/xpsimplehelloworld -I.. -Wall -g -O2 -MT xpsimplehelloworld-xpsimplehelloworld.o -MD -MP -MF ".deps/xpsimplehelloworld-xpsimplehelloworld.Tpo" -c -o xpsimplehelloworld-xpsimplehelloworld.o `test -f 'xpsimplehelloworld.c' || echo '../../xphelloworld/xpsimplehelloworld/'`xpsimplehelloworld.c; \
then mv -f ".deps/xpsimplehelloworld-xpsimplehelloworld.Tpo" ".deps/xpsimplehelloworld-xpsimplehelloworld.Po"; else rm -f ".deps/xpsimplehelloworld-xpsimplehelloworld.Tpo"; exit 1; fi
../../xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c: In function 'do_hello_world':
../../xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c:263: warning: pointer targets in passing argument 3 of 'XpPutDocumentData' differ in signedness
../../xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c: In function 'main':
../../xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c:90: warning: 'printtofile_handle' may be used uninitialized in this function
gcc -Wall -g -O2 -o xpsimplehelloworld xpsimplehelloworld-xpsimplehelloworld.o -lXprintUtil -lXt -lX11 -lSM -lICE -lXp -lXau
sed -e 's|__vendorversion__|"xphelloworld 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xphelloworld 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../../xphelloworld/xpsimplehelloworld/xpsimplehelloworld.man > xpsimplehelloworld.1
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpsimplehelloworld'
Making all in xpxthelloworld
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpxthelloworld'
if gcc -DHAVE_CONFIG_H -I. -I../../xphelloworld/xpxthelloworld -I.. -Wall -g -O2 -MT xpxthelloworld-xpxthelloworld.o -MD -MP -MF ".deps/xpxthelloworld-xpxthelloworld.Tpo" -c -o xpxthelloworld-xpxthelloworld.o `test -f 'xpxthelloworld.c' || echo '../../xphelloworld/xpxthelloworld/'`xpxthelloworld.c; \
then mv -f ".deps/xpxthelloworld-xpxthelloworld.Tpo" ".deps/xpxthelloworld-xpxthelloworld.Po"; else rm -f ".deps/xpxthelloworld-xpxthelloworld.Tpo"; exit 1; fi
gcc -Wall -g -O2 -o xpxthelloworld xpxthelloworld-xpxthelloworld.o -lXaw7 -lXmu -lXprintUtil -lXt -lX11 -lSM -lICE -lXp -lXau
sed -e 's|__vendorversion__|"xphelloworld 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xphelloworld 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../../xphelloworld/xpxthelloworld/xpxthelloworld.man > xpxthelloworld.1
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpxthelloworld'
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XPLSPRINTERS... yes
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
if gcc -DHAVE_CONFIG_H -I. -I../xplsprinters -I. -Wall -g -O2 -MT xplsprinters-xplsprinters.o -MD -MP -MF ".deps/xplsprinters-xplsprinters.Tpo" -c -o xplsprinters-xplsprinters.o `test -f 'xplsprinters.c' || echo '../xplsprinters/'`xplsprinters.c; \
then mv -f ".deps/xplsprinters-xplsprinters.Tpo" ".deps/xplsprinters-xplsprinters.Po"; else rm -f ".deps/xplsprinters-xplsprinters.Tpo"; exit 1; fi
gcc -Wall -g -O2 -o xplsprinters xplsprinters-xplsprinters.o -lXp -lXprintUtil -lXt -lSM -lICE -lXau -lX11
sed -e 's|__vendorversion__|"xplsprinters 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xplsprinters 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../xplsprinters/xplsprinters.man > xplsprinters.1
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XPR... yes
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
if gcc -DHAVE_CONFIG_H -I. -I../xpr -I. -DNOINLINE -Wall -g -O2 -MT xpr-x2jet.o -MD -MP -MF ".deps/xpr-x2jet.Tpo" -c -o xpr-x2jet.o `test -f 'x2jet.c' || echo '../xpr/'`x2jet.c; \
then mv -f ".deps/xpr-x2jet.Tpo" ".deps/xpr-x2jet.Po"; else rm -f ".deps/xpr-x2jet.Tpo"; exit 1; fi
../xpr/x2jet.c: In function 'scale_and_orient_image':
../xpr/x2jet.c:476: warning: enumeration value 'LN01' not handled in switch
../xpr/x2jet.c:476: warning: enumeration value 'LN03' not handled in switch
../xpr/x2jet.c:476: warning: enumeration value 'LA100' not handled in switch
../xpr/x2jet.c:476: warning: enumeration value 'PS' not handled in switch
../xpr/x2jet.c:476: warning: enumeration value 'PP' not handled in switch
../xpr/x2jet.c:494: warning: passing argument 1 of 'set_header_trailer_limits' discards qualifiers from pointer target type
../xpr/x2jet.c:494: warning: passing argument 2 of 'set_header_trailer_limits' discards qualifiers from pointer target type
../xpr/x2jet.c: In function 'write_image_prefix':
../xpr/x2jet.c:1187: warning: format '%d' expects type 'int', but argument 3 has type 'long int'
../xpr/x2jet.c:1230: warning: format '%d' expects type 'int', but argument 3 has type 'CARD32'
../xpr/x2jet.c:1233: warning: format '%d' expects type 'int', but argument 3 has type 'CARD32'
../xpr/x2jet.c: In function 'Z_image_pixel':
../xpr/x2jet.c:1298: warning: 'pixel' may be used uninitialized in this function
../xpr/x2jet.c: In function 'write_raster_line':
../xpr/x2jet.c:1435: warning: 'raster_line' may be used uninitialized in this function
../xpr/x2jet.c: In function 'x2jet':
../xpr/x2jet.c:1074: warning: 'image_size' may be used uninitialized in this function
if gcc -DHAVE_CONFIG_H -I. -I../xpr -I. -DNOINLINE -Wall -g -O2 -MT xpr-x2pmp.o -MD -MP -MF ".deps/xpr-x2pmp.Tpo" -c -o xpr-x2pmp.o `test -f 'x2pmp.c' || echo '../xpr/'`x2pmp.c; \
then mv -f ".deps/xpr-x2pmp.Tpo" ".deps/xpr-x2pmp.Po"; else rm -f ".deps/xpr-x2pmp.Tpo"; exit 1; fi
../xpr/x2pmp.c:37: warning: type defaults to 'int' in declaration of 'plane'
../xpr/x2pmp.c: In function 'x2pmp':
../xpr/x2pmp.c:68: warning: format '%d' expects type 'int', but argument 4 has type 'CARD32'
../xpr/x2pmp.c:97: warning: enumeration value 'UNSPECIFIED' not handled in switch
../xpr/x2pmp.c:168: warning: suggest parentheses around assignment used as truth value
../xpr/x2pmp.c:230: warning: suggest parentheses around + or - inside shift
../xpr/x2pmp.c:235: warning: suggest parentheses around + or - inside shift
../xpr/x2pmp.c: In function 'magnification_table':
../xpr/x2pmp.c:271: warning: suggest parentheses around + or - inside shift
if gcc -DHAVE_CONFIG_H -I. -I../xpr -I. -DNOINLINE -Wall -g -O2 -MT xpr-xpr.o -MD -MP -MF ".deps/xpr-xpr.Tpo" -c -o xpr-xpr.o `test -f 'xpr.c' || echo '../xpr/'`xpr.c; \
then mv -f ".deps/xpr-xpr.Tpo" ".deps/xpr-xpr.Po"; else rm -f ".deps/xpr-xpr.Tpo"; exit 1; fi
../xpr/xpr.c: In function 'main':
../xpr/xpr.c:463: warning: format '%d' expects type 'int', but argument 3 has type 'CARD32'
../xpr/xpr.c:463: warning: format '%d' expects type 'int', but argument 4 has type 'CARD32'
../xpr/xpr.c: In function 'build_output_filename':
../xpr/xpr.c:1138: warning: enumeration value 'LN01' not handled in switch
../xpr/xpr.c:1138: warning: enumeration value 'PS' not handled in switch
../xpr/xpr.c:1138: warning: enumeration value 'PP' not handled in switch
../xpr/xpr.c:1138: warning: enumeration value 'LJET' not handled in switch
../xpr/xpr.c:1138: warning: enumeration value 'PJET' not handled in switch
../xpr/xpr.c:1138: warning: enumeration value 'PJETXL' not handled in switch
../xpr/xpr.c: In function 'ps_finish':
../xpr/xpr.c:1562: warning: initialization from incompatible pointer type
../xpr/xpr.c: At top level:
../xpr/xpr.c:1136: warning: 'build_output_filename' defined but not used
../xpr/xpr.c:1572: warning: 'ln03_alter_background' defined but not used
../xpr/xpr.c: In function 'ps_output_bits':
../xpr/xpr.c:2014: warning: 'iword' may be used uninitialized in this function
../xpr/xpr.c: In function 'main':
../xpr/xpr.c:306: warning: 'sixmap' may be used uninitialized in this function
gcc -Wall -g -O2 -o xpr xpr-x2jet.o xpr-x2pmp.o xpr-xpr.o -lXmuu -lX11 -lm
cp ../xpr/xdpr.script xdpr
sed -e 's|__vendorversion__|"xpr 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xpr 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../xpr/xdpr.man > xdpr.1
sed -e 's|__vendorversion__|"xpr 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xpr 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../xpr/xpr.man > xpr.1
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XPREHASHPRINTERLIST... yes
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
if gcc -DHAVE_CONFIG_H -I. -I../xprehashprinterlist -I. -Wall -g -O2 -MT xprehashprinterlist-xprehashprinterlist.o -MD -MP -MF ".deps/xprehashprinterlist-xprehashprinterlist.Tpo" -c -o xprehashprinterlist-xprehashprinterlist.o `test -f 'xprehashprinterlist.c' || echo '../xprehashprinterlist/'`xprehashprinterlist.c; \
then mv -f ".deps/xprehashprinterlist-xprehashprinterlist.Tpo" ".deps/xprehashprinterlist-xprehashprinterlist.Po"; else rm -f ".deps/xprehashprinterlist-xprehashprinterlist.Tpo"; exit 1; fi
gcc -Wall -g -O2 -o xprehashprinterlist xprehashprinterlist-xprehashprinterlist.o -lXp -lXau -lX11
sed -e 's|__vendorversion__|"xprehashprinterlist 1.0.1" "X Version 11"|' -e 's|__xorgversion__|"xprehashprinterlist 1.0.1" "X Version 11"|' -e 's|__xservername__|Xorg|g' -e 's|__xconfigfile__|xorg.conf|g' -e 's|__projectroot__|/usr|g' -e 's|__apploaddir__||' -e 's|__appmansuffix__|1|g' -e 's|__libmansuffix__|3|g' -e 's|__adminmansuffix__|8|g' -e 's|__miscmansuffix__|7|g' -e 's|__filemansuffix__|5|g' < ../xprehashprinterlist/xprehashprinterlist.man > xprehashprinterlist.1
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
touch build-stamp
/usr/bin/fakeroot debian/rules binary-arch
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs
for FILE in ""xphelloworld xplsprinters xpr xprehashprinterlist""; do \
cd "$FILE"-obj-m32r-linux-gnu && /usr/bin/make DESTDIR=/build/buildd3/xprint-utils-7.1/debian/tmp install ; \
cd ..; \
done
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
Making install in xphelloworld
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xphelloworld'
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xphelloworld'
test -z "/usr/bin" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xphelloworld' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin/xphelloworld'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'xphelloworld.1' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1/xphelloworld.1'
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xphelloworld'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xphelloworld'
Making install in xpsimplehelloworld
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpsimplehelloworld'
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpsimplehelloworld'
test -z "/usr/bin" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xpsimplehelloworld' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin/xpsimplehelloworld'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'xpsimplehelloworld.1' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1/xpsimplehelloworld.1'
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpsimplehelloworld'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpsimplehelloworld'
Making install in xpxthelloworld
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpxthelloworld'
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpxthelloworld'
test -z "/usr/bin" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xpxthelloworld' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin/xpxthelloworld'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'xpxthelloworld.1' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1/xpxthelloworld.1'
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpxthelloworld'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu/xpxthelloworld'
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[3]: Entering directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[3]: Nothing to be done for `install-exec-am'.
make[3]: Nothing to be done for `install-data-am'.
make[3]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xphelloworld-obj-m32r-linux-gnu'
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
test -z "/usr/bin" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xplsprinters' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin/xplsprinters'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'xplsprinters.1' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1/xplsprinters.1'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xplsprinters-obj-m32r-linux-gnu'
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
test -z "/usr/bin" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xpr' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin/xpr'
test -z "/usr/bin" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xdpr' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin/xdpr'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'xdpr.1' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1/xdpr.1'
/usr/bin/ginstall -c -m 644 'xpr.1' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1/xpr.1'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xpr-obj-m32r-linux-gnu'
make[1]: Entering directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
make[2]: Entering directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
test -z "/usr/bin" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin"
/usr/bin/ginstall -c 'xprehashprinterlist' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/bin/xprehashprinterlist'
test -z "/usr/share/man/man1" || mkdir -p -- "/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 'xprehashprinterlist.1' '/build/buildd3/xprint-utils-7.1/debian/tmp/usr/share/man/man1/xprehashprinterlist.1'
make[2]: Leaving directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
make[1]: Leaving directory `/build/buildd3/xprint-utils-7.1/xprehashprinterlist-obj-m32r-linux-gnu'
dh_testdir
dh_testroot
dh_installdocs
dh_install --sourcedir=debian/tmp --list-missing --exclude=usr/share/man/man1
dh_installman
dh_installchangelogs
dh_link
dh_strip
dh_compress
dh_fixperms
dh_installdeb
dh_shlibdeps
dh_makeshlibs
dh_gencontrol
dpkg-gencontrol: warning: unknown substitution variable ${misc:Depends}
dh_md5sums
dh_builddeb
dpkg-deb: building package `xprint-utils' in `../xprint-utils_7.1-1_m32r.deb'.
dpkg-genchanges -B
dpkg-genchanges: arch-specific upload - not including arch-independent packages
dpkg-genchanges: binary-only upload - not including any source code
dpkg-buildpackage: binary only upload (no source included)
******************************************************************************
Build finished at 20070919-0053
xprint-utils_7.1-1_m32r.changes:
Format: 1.7
Date: Sat, 2 Sep 2006 00:52:41 +1000
Source: xprint-utils
Binary: xprint-utils
Architecture: m32r
Version: 7.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x at lists.debian.org>
Changed-By: Drew Parsons <dparsons at debian.org>
Description:
xprint-utils - utilities for Xprint, the X11 print system
Closes: 384766
Changes:
xprint-utils (7.1-1) unstable; urgency=low
.
* Repackage to bring xprint-utils under the auspices of the XSF for
the X11R7.1 transition. Actual component versions are the same.
* Uses quilt not dbs.
* Uses upstream tarballs, which contain configure scripts, so no
longer build-depends on automake and autoconf.
* Apply 90_no_xaw8 patch before building package. Update
config.{sub,guess} and autoreconf.
* Patch 10_manpage_sections (preapplied) enables manpage sections in
xphelloworld to be automatically set. Closes: #384766.
Files:
a56be0b51be00428c5cfde317c13998a 62806 x11 optional xprint-utils_7.1-1_m32r.deb
/debian/buildd3/build/chroot-unstable/build/buildd3/xprint-utils_7.1-1_m32r.deb:
new debian package, version 2.0.
size 62806 bytes: control archive= 1136 bytes.
rm: cannot remove directory `/tmp/dpkgxfDg3q': Directory not empty
rm cleanup failed, code 256
852 bytes, 20 lines control
1030 bytes, 16 lines md5sums
Package: xprint-utils
Version: 7.1-1
Architecture: m32r
Maintainer: Debian X Strike Force <debian-x at lists.debian.org>
Installed-Size: 192
Depends: libc6 (>= 2.3.5-1), libice6 (>= 1:1.0.0), libsm6, libx11-6, libxau6, libxaw7, libxmu6, libxmuu1, libxp6, libxprintapputil1, libxprintutil1, libxt6
Recommends: xprint
Conflicts: xprint (<< 1:1)
Section: x11
Priority: optional
Description: utilities for Xprint, the X11 print system
Xprint is an advanced printing system which enables X11 applications
to use devices like printers, FAX or create documents in formats like
PostScript, PDF, PCL, etc.
.
This package provides the Xprint utilities:
xplsprinters - list the Xprint server's available printers
xprehashprinterlist - refresh the printer list
xphelloworld - sends a test page to a printer
xdpr, xpr - prints a selected X window
/debian/buildd3/build/chroot-unstable/build/buildd3/xprint-utils_7.1-1_m32r.deb:
drwxr-xr-x root/root 0 2007-09-19 00:51 ./
drwxr-xr-x root/root 0 2007-09-19 00:48 ./usr/
drwxr-xr-x root/root 0 2007-09-19 00:50 ./usr/share/
drwxr-xr-x root/root 0 2007-09-19 00:49 ./usr/share/doc/
drwxr-xr-x root/root 0 2007-09-19 00:51 ./usr/share/doc/xprint-utils/
-rw-r--r-- root/root 1908 2007-09-19 00:36 ./usr/share/doc/xprint-utils/copyright
-rw-r--r-- root/root 814 2007-09-19 00:36 ./usr/share/doc/xprint-utils/changelog.Debian.gz
drwxr-xr-x root/root 0 2007-09-19 00:50 ./usr/share/man/
drwxr-xr-x root/root 0 2007-09-19 00:51 ./usr/share/man/man1/
-rw-r--r-- root/root 1105 2007-09-19 00:49 ./usr/share/man/man1/xplsprinters.1.gz
-rw-r--r-- root/root 4311 2007-09-19 00:49 ./usr/share/man/man1/xpr.1.gz
-rw-r--r-- root/root 781 2007-09-19 00:49 ./usr/share/man/man1/xprehashprinterlist.1.gz
-rw-r--r-- root/root 808 2007-09-19 00:49 ./usr/share/man/man1/xpsimplehelloworld.1.gz
-rw-r--r-- root/root 797 2007-09-19 00:49 ./usr/share/man/man1/xpxthelloworld.1.gz
-rw-r--r-- root/root 1455 2007-09-19 00:49 ./usr/share/man/man1/xdpr.1.gz
-rw-r--r-- root/root 922 2007-09-19 00:48 ./usr/share/man/man1/xphelloworld.1.gz
drwxr-xr-x root/root 0 2007-09-19 00:50 ./usr/bin/
-rwxr-xr-x root/root 3153 2007-09-19 00:49 ./usr/bin/xdpr
-rwxr-xr-x root/root 8680 2007-09-19 00:50 ./usr/bin/xphelloworld
-rwxr-xr-x root/root 17176 2007-09-19 00:50 ./usr/bin/xplsprinters
-rwxr-xr-x root/root 47616 2007-09-19 00:50 ./usr/bin/xpr
-rwxr-xr-x root/root 4924 2007-09-19 00:50 ./usr/bin/xprehashprinterlist
-rwxr-xr-x root/root 10012 2007-09-19 00:50 ./usr/bin/xpsimplehelloworld
-rwxr-xr-x root/root 10276 2007-09-19 00:50 ./usr/bin/xpxthelloworld
******************************************************************************
Built successfully
Purging /debian/buildd3/build/chroot-unstable/build/buildd3/xprint-utils-7.1
------------------------------------------------------------------------------
(Reading database ... 60515 files and directories currently installed.)
Removing libxprintutil-dev ...
Removing libxprintapputil-dev ...
Removing libxprintapputil1 ...
Purging configuration files for libxprintapputil1 ...
Removing libxprintutil1 ...
Purging configuration files for libxprintutil1 ...
******************************************************************************
Finished at 20070919-0055
Build needed 00:17:33, 4324k disk space
More information about the build-status
mailing list